Error while Extracting images

Extracting faces for training and converting
Forum rules
Read the FAQs and search the forum before posting a new topic.

Please mark any answers that fixed your problems so others can find the solutions.
Locked
User avatar
DyingYak
Posts: 2
Joined: Wed May 27, 2020 4:39 pm

Error while Extracting images

Post by DyingYak »

Hello, this is my first time using faceswap. I have a folder with pics of a spesific person and selected that in the gui and set the output folder. but when i run the extract, it gives me the error: " 05/27/2020 18:37:02 CRITICAL An unexpected crash has occurred. Crash report written to 'C:\Users\CENCORED\faceswap\crash_report.2020.05.27.183702682332.log'. You MUST provide this file if seeking assistance. Please verify you are running the latest version of faceswap before reporting "

My log file contains this:

Code: Select all

05/27/2020 18:37:01 MainProcess     MainThread      logger          log_setup                 INFO     Log level set to: INFO
05/27/2020 18:37:01 MainProcess     MainThread      launcher        execute_script            DEBUG    Executing: extract. PID: 19208
05/27/2020 18:37:02 MainProcess     MainThread      launcher        _test_for_tf_version      DEBUG    Installed Tensorflow Version: 1.15
05/27/2020 18:37:02 MainProcess     MainThread      queue_manager   __init__                  DEBUG    Initializing QueueManager
05/27/2020 18:37:02 MainProcess     MainThread      queue_manager   __init__                  DEBUG    Initialized QueueManager
Traceback (most recent call last):
  File "C:\Users\maximilian\faceswap\lib\cli\launcher.py", line 153, in execute_script
    script = self._import_script()
  File "C:\Users\maximilian\faceswap\lib\cli\launcher.py", line 43, in _import_script
    module = import_module(mod)
  File "C:\Users\maximilian\anaconda3\envs\faceswap\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\maximilian\faceswap\scripts\extract.py", line 13, in <module>
    from plugins.extract.pipeline import Extractor, ExtractMedia
  File "C:\Users\maximilian\faceswap\plugins\extract\pipeline.py", line 17, in <module>
    from lib.gpu_stats import GPUStats
  File "C:\Users\maximilian\faceswap\lib\gpu_stats.py", line 20, in <module>
    import pynvml
ModuleNotFoundError: No module named 'pynvml'


There was an error importing System Information from lib.sysinfo. This is probably a bug which should be fixed:
Traceback (most recent call last):
  File "C:\Users\maximilian\faceswap\lib\cli\launcher.py", line 153, in execute_script
    script = self._import_script()
  File "C:\Users\maximilian\faceswap\lib\cli\launcher.py", line 43, in _import_script
    module = import_module(mod)
  File "C:\Users\maximilian\anaconda3\envs\faceswap\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\maximilian\faceswap\scripts\extract.py", line 13, in <module>
    from plugins.extract.pipeline import Extractor, ExtractMedia
  File "C:\Users\maximilian\faceswap\plugins\extract\pipeline.py", line 17, in <module>
    from lib.gpu_stats import GPUStats
  File "C:\Users\maximilian\faceswap\lib\gpu_stats.py", line 20, in <module>
    import pynvml
ModuleNotFoundError: No module named 'pynvml'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\maximilian\faceswap\lib\logger.py", line 178, in crash_log
    from lib.sysinfo import sysinfo  # pylint:disable=import-outside-toplevel
  File "C:\Users\maximilian\faceswap\lib\sysinfo.py", line 14, in <module>
    from lib.gpu_stats import GPUStats
  File "C:\Users\maximilian\faceswap\lib\gpu_stats.py", line 20, in <module>
    import pynvml
ModuleNotFoundError: No module named 'pynvml'
by torzdf » Thu May 28, 2020 8:41 am
pynvml is not installed. I assume github was down when you installed Faceswap, as we pull pynvml from Github....

You can fix this as follows:

start > Anaconda Prompt

Code: Select all

conda activate faceswap
cd faceswap
python update_deps.py
Go to full post

User avatar
torzdf
Posts: 662
Joined: Fri Jul 12, 2019 12:53 am
Answers: 98
Has thanked: 19 times
Been thanked: 137 times

Re: Error while Extracting images

Post by torzdf »

pynvml is not installed. I assume github was down when you installed Faceswap, as we pull pynvml from Github....

You can fix this as follows:

start > Anaconda Prompt

Code: Select all

conda activate faceswap
cd faceswap
python update_deps.py
My word is final

User avatar
DyingYak
Posts: 2
Joined: Wed May 27, 2020 4:39 pm

Re: Error while Extracting images

Post by DyingYak »

This fixed the issue with the package but now I get this error. Should I post the full log?

Code: Select all

2020-05-29 09:39:40.684616: E tensorflow/stream_executor/cuda/cuda_dnn.cc:329] Could not create cudnn handle: CUDNN_STATUS_ALLOC_FAILED
2020-05-29 09:39:40.685968: E tensorflow/stream_executor/cuda/cuda_dnn.cc:329] Could not create cudnn handle: CUDNN_STATUS_ALLOC_FAILED
2020-05-29 09:39:51.862259: E tensorflow/stream_executor/cuda/cuda_dnn.cc:329] Could not create cudnn handle: CUDNN_STATUS_ALLOC_FAILED
2020-05-29 09:39:51.863250: E tensorflow/stream_executor/cuda/cuda_dnn.cc:329] Could not create cudnn handle: CUDNN_STATUS_ALLOC_FAILED
05/29/2020 09:39:51 ERROR    Tensorflow raised an unknown error. This is most likely caused by a failure to launch cuDNN which can occur for some GPU/Tensorflow combinations. You should enable `allow_growth` to attempt to resolve this issue:
05/29/2020 09:39:51 ERROR    GUI: Go to Settings > Extract Plugins > Global and enable the `allow_growth` option.
05/29/2020 09:39:51 ERROR    CLI: Go to `faceswap/config/extract.ini` and change the `allow_growth option to `True`.
Process exited.
EDIT: Seems like enabling Allow growth fixed it

Locked